import request from '@/utils/request'

// 查询消息操作日志列表
export function listChatMsgLogs(query) {
  return request({
    url: '/chat/chatMsgLogs/list',
    method: 'get',
    params: query
  })
}

export function getChatMsgLogsList(query) {
  return request({
    url: '/chat/chatMsgLogs/logsList',
    method: 'get',
    params: query
  })
}

// 查询消息操作日志详细
export function getChatMsgLogs(logsId) {
  return request({
    url: '/chat/chatMsgLogs/' + logsId,
    method: 'get'
  })
}

// 新增消息操作日志
export function addChatMsgLogs(data) {
  return request({
    url: '/chat/chatMsgLogs',
    method: 'post',
    data: data
  })
}

// 修改消息操作日志
export function updateChatMsgLogs(data) {
  return request({
    url: '/chat/chatMsgLogs',
    method: 'put',
    data: data
  })
}

// 删除消息操作日志
export function delChatMsgLogs(logsId) {
  return request({
    url: '/chat/chatMsgLogs/' + logsId,
    method: 'delete'
  })
}

// 导出消息操作日志
export function exportChatMsgLogs(query) {
  return request({
    url: '/chat/chatMsgLogs/export',
    method: 'get',
    params: query
  })
}
